Subject: Re: [stable] [BUG] net: fix /proc/net/snmp as memory corruptor

From: Greg KH <[email-masked]>
Date: Sun, 16 Nov 2008 20:51:13 -0800

On Sat, Nov 15, 2008 at 10:43:09AM -0800, Greg KH wrote:
> On Sat, Nov 15, 2008 at 09:37:27AM +0100, Eric Dumazet wrote:
> > Greg KH a écrit :
> >> On Sat, Nov 15, 2008 at 06:25:33AM +0100, Eric Dumazet wrote:
> >>> Greg KH a écrit :
> >>>> On Fri, Nov 14, 2008 at 06:08:48AM +0100, Eric Dumazet wrote:
> >>>>> Hello Greg
> >>>>>
> >>>>> A patch was submited about /proc/net/snmp being a memory corruptor and 
> >>>>> not SMP safe
> >>>>>
> >>>>> (commit b971e7ac834e9f4bda96d5a96ae9abccd01c1dd8)
> >>>>>
> >>>>> These bugs are present on 2.6.26 & 2.6.27.
> >>>> I looking at this, it doesn't seem to apply at all to the .27 tree.  If
> >>>> David doesn't object, care to backport it there and send it to
> >>>> [email-masked]?
> >>> Strange... I just tried to apply patch on top of a fresh linux-2.6.27.6 
> >>> tree and got no error
> >>>
> >>> # patch -p1 < /tmp/icmp_snmp.patch
> >>> patching file net/ipv4/proc.c
> >>> #
> >> I've attached the patch I tried to apply below.  It fails with:
> >> 	$ patch -p1 --dry-run < 
> >> ../net-fix-proc-net-snmp-as-memory-corruptor.patch 	patching file 
> >> net/ipv4/proc.c
> >> 	Hunk #1 FAILED at 237.
> >> 	1 out of 1 hunk FAILED -- saving rejects to file net/ipv4/proc.c.rej
> >> Any thoughts?
> >> thanks,
> >> greg k-h
> >
> > Yes, you lost all the '\' character in "\n" sequences... Also one missing 
> > ":" at the end of one line
> >
> > I dont know how you did it :)
> 
> Oh crap, that's my fault.  I hate bash at times, I'm using a script to
> copy changesets and format them in the way that works for the stable
> tree.  I need to switch it to perl so these things don't happen :(
> 
> In looking closer, I also messed up on some other patches in this -rc1,
> I need to redo the whole thing.  Ugh.
> 
> Thanks for pointing this out, I'll fix it up.

Ok, I've now added it, thanks for being patient and helping me find my
problem.

greg k-h